var win1 = Ti.UI.currentWindow;
var circle = Titanium.UI.createView({
	height:100,
	width:100,
	borderRadius:50,
	backgroundColor:'#336699',
	top:10
});

win1.add(circle);

var label = Titanium.UI.createLabel({
	text:'Click circle repeatedly to animate or drag the circle',
	bottom:100,
	color:'#555',
	font:{fontSize:12,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	height:'auto',
	width:'auto'
});

win1.add(label);

circle.addEventListener('touchmove', function(e)
{
	Ti.API.debug('Our event tells us the center is ' + e.x + ', ' + e.y );
	var newX = e.x + circle.animatedCenter.x - circle.width/2;
	var newY = e.y + circle.animatedCenter.y - circle.height/2;
	circle.animate({center:{x:newX,y:newY}, duration:1});
});

var mode = 0;
circle.addEventListener('click', function()
{
	switch(mode)
	{
		case 0:
			firstAnimation();
			mode++;
			break;
		case 1:
			secondAnimation();
			mode++;
			break;
		case 2:
			thirdAnimation();
			mode++;
			break;
		case 3:
			fourthAnimation();
			mode=0;
			break;
	}
});

//
// ANIMATION FUNCTIONS
//

// opacity - use inline animation object
function firstAnimation()
{
	circle.animate({center:{x:100,y:100},curve:Ti.UI.iOS.ANIMATION_CURVE_LINEAR,duration:1000}, function()
	{
		circle.animate({center:{x:0,y:200},duration:1000}, function()
		{
			circle.animate({center:{x:300,y:300},duration:1000},function()
			{
				circle.animate({center:{x:150,y:60, duration:1000}});
			});
		});
	});
}

// background color - use animation object
function secondAnimation()
{
	circle.animate({center:{x:100,y:100},curve:Ti.UI.iOS.ANIMATION_CURVE_EASE_IN,duration:1000}, function()
	{
		circle.animate({center:{x:0,y:200},duration:1000}, function()
		{
			circle.animate({center:{x:300,y:300},duration:1000},function()
			{
				circle.animate({center:{x:150,y:60, duration:1000}});
			});
		});
	});
}

// animate the top and right property
function thirdAnimation()
{
	circle.animate({center:{x:100,y:100},curve:Ti.UI.iOS.ANIMATION_CURVE_EASE_OUT,duration:1000}, function()
	{
		circle.animate({center:{x:0,y:200},duration:1000}, function()
		{
			circle.animate({center:{x:300,y:300},duration:1000},function()
			{
				circle.animate({center:{x:150,y:60, duration:1000}});
			});
		});
	});
}

// animate the center point object
function fourthAnimation()
{
	circle.animate({center:{x:100,y:100},curve:Ti.UI.iOS.ANIMATION_CURVE_EASE_IN_OUT,duration:1000}, function()
	{
		circle.animate({center:{x:0,y:200},duration:1000}, function()
		{
			circle.animate({center:{x:300,y:300},duration:1000},function()
			{
				circle.animate({center:{x:150,y:60, duration:1000}});
			});
		});
	});
}
